Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2093516 - Please branch and build python-pikepdf for EPEL9
Summary: Please branch and build python-pikepdf for EPEL9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pikepdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2047823 2095993 2157765 2184868
Blocks: 2041315
TreeView+ depends on / blocked
 
Reported: 2022-06-04 02:14 UTC by Orion Poplawski
Modified: 2023-05-18 04:37 UTC (History)
8 users (show)

Fixed In Version: python-pikepdf-2.16.1-5.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-18 04:37:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure releng/fedora-scm-requests issue 45102 0 None None None 2022-06-20 22:19:02 UTC

Description Orion Poplawski 2022-06-04 02:14:09 UTC
Please branch and build python-pikepdf in epel9.

If you do not wish to maintain it in epel9,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package (FAS orion);
please add me through https://src.fedoraproject.org/rpms/python-pikepdf/adduser

And/or add the epel-packagers-sig group through
https://src.fedoraproject.org/rpms/python-pikepdf/addgroup
and grant it commit access, or collaborator access on epel* branches.

Comment 1 Elliott Sales de Andrade 2022-06-20 22:05:06 UTC
I added epel-packagers-sig as collaborator.

Comment 2 Orion Poplawski 2022-06-20 22:19:03 UTC
Thank you.

Comment 3 Ben Cotton 2022-08-09 13:38:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 4 Romain Geissler 2022-09-23 07:06:42 UTC
Hi,

FYI: It seems that the dependant bug 2095993 was fixed (despite not marked as such in this bug tracking system).

Cheers,
Romain

Comment 5 Davide Cavalca 2022-10-16 17:01:52 UTC
It's fixed in Stream but it hasn't make it to RHEL 9 yet (it'll probably happen with 9.1), so we can't build this for epel9 just yet.

Comment 6 Scott K Logan 2022-11-16 02:07:52 UTC
From what I can tell, qpdf 10.3.1 made it into RHEL 9.1, but it does not provide the qpdf-devel subpackage which python-pikepdf depends on. Additionally, the spec file requires 10.3.2 for all versions of pikepdf newer than 2.16.1 (current rawhide has 6.2.4).

Comment 7 Rik Theys 2022-11-28 11:36:44 UTC
Hi,

The qpdf-devel package is available in the 'devel' repo (at least that's where it is on rocky 9.1), but as you've mentioned qpdf is version 10.3.1 and all newer versions require 10.3.2 :-/.

Regards,
Rik

Comment 8 Carl George 🤠 2023-01-23 18:25:22 UTC
> From what I can tell, qpdf 10.3.1 made it into RHEL 9.1, but it does not provide the qpdf-devel subpackage which python-pikepdf depends on.

That's correct.  There is another request (bug 2157765) to add qpdf-devel to CRB.

> Additionally, the spec file requires 10.3.2 for all versions of pikepdf newer than 2.16.1 (current rawhide has 6.2.4).

That requirement was lowered upstream to 10.3.1 to be compatible with what is shipped in Ubuntu 21.04.  It stayed at that minimum version until pikepdf 5.0.0, so it looks like EPEL 9 could have up to version 4.5.0 (which was part of Fedora 35).

https://github.com/pikepdf/pikepdf/commit/a7a875278bb9963491321df609d974a290f8fe4e
https://github.com/pikepdf/pikepdf/blob/v5.0.0/pyproject.toml#L44
https://github.com/pikepdf/pikepdf/blob/v4.5.0/pyproject.toml#L44

> The qpdf-devel package is available in the 'devel' repo (at least that's where it is on rocky 9.1),

EPEL builds against RHEL.  RHEL does not provide a devel repo.  Adding this package to EPEL 9 will have to wait on the appropriate build requirements to be available in RHEL 9 CRB.

Comment 9 Carl George 🤠 2023-01-23 19:41:17 UTC
I tried building the python-pikepdf spec file from the f35 branch on CentOS Stream 9 (where qpdf-devel is already available), and discovered another limitation.  It requires at least pybind11 2.7.1, but we only have 2.6.2 available in EL9.

https://github.com/pikepdf/pikepdf/blob/v4.5.0/pyproject.toml#L10

That minimum version was set in 3.0.0, so this request will have to target version 2.16.1 instead.  That is the version that was shipped in Fedora 34, which is what EL9 was branched from.

I also realized that this package has a circular dependency with python-matplotlib, so perhaps bug 2041315 should be completed first with tests disabled to break the loop.

Comment 10 Carl George 🤠 2023-04-15 06:33:05 UTC
I was able to sort out successful builds of pikepdf and matplotlib in COPR.

https://copr.fedorainfracloud.org/coprs/carlwgeorge/matplotlib/

Here's the necessary PR for pikepdf, but it won't be able to be built in koji until RHEL 9.2 is released due to the qpdf-devel build requirement.

https://src.fedoraproject.org/rpms/python-pikepdf/pull-request/6

Comment 11 Fedora Update System 2023-05-09 22:35:20 UTC
FEDORA-EPEL-2023-76a7a89a90 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-76a7a89a90

Comment 12 Fedora Update System 2023-05-10 03:04:12 UTC
FEDORA-EPEL-2023-76a7a89a90 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-76a7a89a90

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-05-18 04:37:20 UTC
FEDORA-EPEL-2023-76a7a89a90 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.